MongoGridFS::remove
MongoGridFS::storeFile
MongoGridFS
PHP Manual

# MongoGridFS::storeBytes

(PECL mongo >=0.9.2)

MongoGridFS::storeBytes — Chunkifies and stores bytes in the database

### Description

public mixed MongoGridFS::storeBytes ( string `$bytes` [, array `$extra` = array() [, array `$options` = array() ]] )

### Parameters

`bytes`

  A string of bytes to store.

`extra`

  Other metadata to add to the file saved.

`options`

  Options for the store.

  - "safe"

    Check that this store succeeded.

### Return Values

The _id of the object saved.

### Errors/Exceptions

Throws MongoCursorException if the "safe" option is set and the insert fails.

MongoGridFS::remove
MongoGridFS::storeFile
MongoGridFS
PHP Manual